<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LIpPhoneServices StructType
 * @subpackage Structs
 */
class LIpPhoneServices extends AbstractStructBase
{
    /**
     * The serviceName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $serviceName;
    /**
     * The asciiServiceName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $asciiServiceName;
    /**
     * The serviceDescription
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $serviceDescription;
    /**
     * The serviceUrl
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $serviceUrl;
    /**
     * The secureServiceUrl
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $secureServiceUrl;
    /**
     * The serviceCategory
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $serviceCategory;
    /**
     * The serviceType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $serviceType;
    /**
     * The serviceVendor
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $serviceVendor;
    /**
     * The serviceVersion
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $serviceVersion;
    /**
     * The enabled
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $enabled;
    /**
     * The enterpriseSubscription
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $enterpriseSubscription;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LIpPhoneServices
     * @uses LIpPhoneServices::setServiceName()
     * @uses LIpPhoneServices::setAsciiServiceName()
     * @uses LIpPhoneServices::setServiceDescription()
     * @uses LIpPhoneServices::setServiceUrl()
     * @uses LIpPhoneServices::setSecureServiceUrl()
     * @uses LIpPhoneServices::setServiceCategory()
     * @uses LIpPhoneServices::setServiceType()
     * @uses LIpPhoneServices::setServiceVendor()
     * @uses LIpPhoneServices::setServiceVersion()
     * @uses LIpPhoneServices::setEnabled()
     * @uses LIpPhoneServices::setEnterpriseSubscription()
     * @uses LIpPhoneServices::setUuid()
     * @param string $serviceName
     * @param string $asciiServiceName
     * @param string $serviceDescription
     * @param string $serviceUrl
     * @param string $secureServiceUrl
     * @param string $serviceCategory
     * @param string $serviceType
     * @param string $serviceVendor
     * @param string $serviceVersion
     * @param string $enabled
     * @param string $enterpriseSubscription
     * @param string $uuid
     */
    public function __construct($serviceName = null, $asciiServiceName = null, $serviceDescription = null, $serviceUrl = null, $secureServiceUrl = null, $serviceCategory = null, $serviceType = null, $serviceVendor = null, $serviceVersion = null, $enabled = null, $enterpriseSubscription = null, $uuid = null)
    {
        $this
            ->setServiceName($serviceName)
            ->setAsciiServiceName($asciiServiceName)
            ->setServiceDescription($serviceDescription)
            ->setServiceUrl($serviceUrl)
            ->setSecureServiceUrl($secureServiceUrl)
            ->setServiceCategory($serviceCategory)
            ->setServiceType($serviceType)
            ->setServiceVendor($serviceVendor)
            ->setServiceVersion($serviceVersion)
            ->setEnabled($enabled)
            ->setEnterpriseSubscription($enterpriseSubscription)
            ->setUuid($uuid);
    }
    /**
     * Get serviceName value
     * @return string|null
     */
    public function getServiceName()
    {
        return $this->serviceName;
    }
    /**
     * Set serviceName value
     * @param string $serviceName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServices
     */
    public function setServiceName($serviceName = null)
    {
        $this->serviceName = $serviceName;
        return $this;
    }
    /**
     * Get asciiServiceName value
     * @return string|null
     */
    public function getAsciiServiceName()
    {
        return $this->asciiServiceName;
    }
    /**
     * Set asciiServiceName value
     * @param string $asciiServiceName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServices
     */
    public function setAsciiServiceName($asciiServiceName = null)
    {
        $this->asciiServiceName = $asciiServiceName;
        return $this;
    }
    /**
     * Get serviceDescription value
     * @return string|null
     */
    public function getServiceDescription()
    {
        return $this->serviceDescription;
    }
    /**
     * Set serviceDescription value
     * @param string $serviceDescription
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServices
     */
    public function setServiceDescription($serviceDescription = null)
    {
        $this->serviceDescription = $serviceDescription;
        return $this;
    }
    /**
     * Get serviceUrl value
     * @return string|null
     */
    public function getServiceUrl()
    {
        return $this->serviceUrl;
    }
    /**
     * Set serviceUrl value
     * @param string $serviceUrl
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServices
     */
    public function setServiceUrl($serviceUrl = null)
    {
        $this->serviceUrl = $serviceUrl;
        return $this;
    }
    /**
     * Get secureServiceUrl value
     * @return string|null
     */
    public function getSecureServiceUrl()
    {
        return $this->secureServiceUrl;
    }
    /**
     * Set secureServiceUrl value
     * @param string $secureServiceUrl
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServices
     */
    public function setSecureServiceUrl($secureServiceUrl = null)
    {
        $this->secureServiceUrl = $secureServiceUrl;
        return $this;
    }
    /**
     * Get serviceCategory value
     * @return string|null
     */
    public function getServiceCategory()
    {
        return $this->serviceCategory;
    }
    /**
     * Set serviceCategory value
     * @param string $serviceCategory
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServices
     */
    public function setServiceCategory($serviceCategory = null)
    {
        $this->serviceCategory = $serviceCategory;
        return $this;
    }
    /**
     * Get serviceType value
     * @return string|null
     */
    public function getServiceType()
    {
        return $this->serviceType;
    }
    /**
     * Set serviceType value
     * @param string $serviceType
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServices
     */
    public function setServiceType($serviceType = null)
    {
        $this->serviceType = $serviceType;
        return $this;
    }
    /**
     * Get serviceVendor value
     * @return string|null
     */
    public function getServiceVendor()
    {
        return $this->serviceVendor;
    }
    /**
     * Set serviceVendor value
     * @param string $serviceVendor
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServices
     */
    public function setServiceVendor($serviceVendor = null)
    {
        $this->serviceVendor = $serviceVendor;
        return $this;
    }
    /**
     * Get serviceVersion value
     * @return string|null
     */
    public function getServiceVersion()
    {
        return $this->serviceVersion;
    }
    /**
     * Set serviceVersion value
     * @param string $serviceVersion
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServices
     */
    public function setServiceVersion($serviceVersion = null)
    {
        $this->serviceVersion = $serviceVersion;
        return $this;
    }
    /**
     * Get enabled value
     * @return string|null
     */
    public function getEnabled()
    {
        return $this->enabled;
    }
    /**
     * Set enabled value
     * @param string $enabled
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServices
     */
    public function setEnabled($enabled = null)
    {
        $this->enabled = $enabled;
        return $this;
    }
    /**
     * Get enterpriseSubscription value
     * @return string|null
     */
    public function getEnterpriseSubscription()
    {
        return $this->enterpriseSubscription;
    }
    /**
     * Set enterpriseSubscription value
     * @param string $enterpriseSubscription
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServices
     */
    public function setEnterpriseSubscription($enterpriseSubscription = null)
    {
        $this->enterpriseSubscription = $enterpriseSubscription;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServices
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
